Creator Promoted Products
Introduction
Get products promoted by a creator using their uid.
Endpoint
bash
POST /creator/v1/productListRequest Body
| Field | Type | Required | Description |
|---|---|---|---|
filter | object | Yes | Filter parameters |
page | integer | No | Page number, default: 1 |
pagesize | integer | No | Items per page, default: 10 |
filter options
| Field | Type | Required | Description |
|---|---|---|---|
uid | string | Yes | Creator UID |
days | string | No | Time range, e.g., [0, 7, 14, 28, 90] |
Request Example
bash
curl 'https://openapi.fastmoss.com/creator/v1/productList?client_id=XXX×tamp=XXX&access_token=XXX&sign=XXX' \
--header 'Content-Type: application/json' \
{
"filter": {
"uid": "6893103660525831169",
"days": 7
},
"page": 1,
"pagesize": 10
}Response Body
data.total
Total number of results
data.list
| Field | Type | Description |
|---|---|---|
product_id | string | Product ID |
uid | string | Creator UID |
seller_id | string | Seller ID |
commission_rate | integer | Commission Rate |
product_rating | string | Product Rating |
shop_title | string | Shop Name |
shop_avatar | string | Shop Avatar URL |
shop_units_count | integer | Shop Sales |
shop_gmv | float | Shop GMV |
title | string | Product Title |
cover | string | Product Cover URL |
category | array[object] | Product Category |
real_price | string | Product Price |
region | string | Product Region |
gmv | float | Product GMV |
units_sold | integer | Product Sales |
l1_category_id | integer | Category Level 1 ID |
l2_category_id | integer | Category Level 2 ID |
l3_category_id | integer | Category Level 3 ID |
Response Example
json
{
"code": 0,
"msg": "success",
"data": {
"total": 8,
"list": [
{
"product_id": "1729539239170312086",
"uid": "6893103660525831169",
"seller_id": "7494962456968727446",
"commission_rate": 0,
"product_rating": "0.0",
"shop_title": "Twobakeboys",
"shop_avatar": "https://s.500fd.com/tt_shop/6413a6ce066e4108a30e50d1033dac88~tplv-aphluv4xwc-resize-png:300:300.png",
"shop_units_count": 23867,
"shop_gmv": 607576.80,
"title": "Pineapple tart 230g per bottle",
"cover": "https://s.500fd.com/default/product_default.png",
"category": [
"Food & Beverages"
],
"real_price": "S$15.00",
"region": "SG",//product's region
"gmv": 0,
"units_sold": 0,
"l1_category_id":24,//product's l1 category_id
"l2_category_id":915336,//product's l2 category_id
"l3_category_id":700553//product's l3 category_id
}
]
}
}